Liferay.Loader.define("document-library-web$dnd-core@11.1.3/dist/esm/DragDropMonitorImpl", ['module', 'exports', 'require'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    function _classCallCheck(instance, Constructor) {
      if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
      }
    }

    function _defineProperties(target, props) {
      for (var i = 0; i < props.length; i++) {
        var descriptor = props[i];descriptor.enumerable = descriptor.enumerable || false;descriptor.configurable = true;if ("value" in descriptor) descriptor.writable = true;Object.defineProperty(target, descriptor.key, descriptor);
      }
    }

    function _createClass(Constructor, protoProps, staticProps) {
      if (protoProps) _defineProperties(Constructor.prototype, protoProps);if (staticProps) _defineProperties(Constructor, staticProps);return Constructor;
    }

    import { invariant } from '@react-dnd/invariant';
    import { matchesType } from './utils/matchesType';
    import { getSourceClientOffset as _getSourceClientOffset, getDifferenceFromInitialOffset as _getDifferenceFromInitialOffset } from './utils/coords';
    import { areDirty } from './utils/dirtiness';
    export var DragDropMonitorImpl = /*#__PURE__*/function () {
      function DragDropMonitorImpl(store, registry) {
        _classCallCheck(this, DragDropMonitorImpl);

        this.store = store;
        this.registry = registry;
      }

      _createClass(DragDropMonitorImpl, [{
        key: "subscribeToStateChange",
        value: function subscribeToStateChange(listener) {
          var _this = this;

          var options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {
            handlerIds: undefined
          };
          var handlerIds = options.handlerIds;
          invariant(typeof listener === 'function', 'listener must be a function.');
          invariant(typeof handlerIds === 'undefined' || Array.isArray(handlerIds), 'handlerIds, when specified, must be an array of strings.');
          var prevStateId = this.store.getState().stateId;

          var handleChange = function handleChange() {
            var state = _this.store.getState();

            var currentStateId = state.stateId;

            try {
              var canSkipListener = currentStateId === prevStateId || currentStateId === prevStateId + 1 && !areDirty(state.dirtyHandlerIds, handlerIds);

              if (!canSkipListener) {
                listener();
              }
            } finally {
              prevStateId = currentStateId;
            }
          };

          return this.store.subscribe(handleChange);
        }
      }, {
        key: "subscribeToOffsetChange",
        value: function subscribeToOffsetChange(listener) {
          var _this2 = this;

          invariant(typeof listener === 'function', 'listener must be a function.');
          var previousState = this.store.getState().dragOffset;

          var handleChange = function handleChange() {
            var nextState = _this2.store.getState().dragOffset;

            if (nextState === previousState) {
              return;
            }

            previousState = nextState;
            listener();
          };

          return this.store.subscribe(handleChange);
        }
      }, {
        key: "canDragSource",
        value: function canDragSource(sourceId) {
          if (!sourceId) {
            return false;
          }

          var source = this.registry.getSource(sourceId);
          invariant(source, 'Expected to find a valid source.');

          if (this.isDragging()) {
            return false;
          }

          return source.canDrag(this, sourceId);
        }
      }, {
        key: "canDropOnTarget",
        value: function canDropOnTarget(targetId) {
          // undefined on initial render
          if (!targetId) {
            return false;
          }

          var target = this.registry.getTarget(targetId);
          invariant(target, 'Expected to find a valid target.');

          if (!this.isDragging() || this.didDrop()) {
            return false;
          }

          var targetType = this.registry.getTargetType(targetId);
          var draggedItemType = this.getItemType();
          return matchesType(targetType, draggedItemType) && target.canDrop(this, targetId);
        }
      }, {
        key: "isDragging",
        value: function isDragging() {
          return Boolean(this.getItemType());
        }
      }, {
        key: "isDraggingSource",
        value: function isDraggingSource(sourceId) {
          // undefined on initial render
          if (!sourceId) {
            return false;
          }

          var source = this.registry.getSource(sourceId, true);
          invariant(source, 'Expected to find a valid source.');

          if (!this.isDragging() || !this.isSourcePublic()) {
            return false;
          }

          var sourceType = this.registry.getSourceType(sourceId);
          var draggedItemType = this.getItemType();

          if (sourceType !== draggedItemType) {
            return false;
          }

          return source.isDragging(this, sourceId);
        }
      }, {
        key: "isOverTarget",
        value: function isOverTarget(targetId) {
          var options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {
            shallow: false
          };

          // undefined on initial render
          if (!targetId) {
            return false;
          }

          var shallow = options.shallow;

          if (!this.isDragging()) {
            return false;
          }

          var targetType = this.registry.getTargetType(targetId);
          var draggedItemType = this.getItemType();

          if (draggedItemType && !matchesType(targetType, draggedItemType)) {
            return false;
          }

          var targetIds = this.getTargetIds();

          if (!targetIds.length) {
            return false;
          }

          var index = targetIds.indexOf(targetId);

          if (shallow) {
            return index === targetIds.length - 1;
          } else {
            return index > -1;
          }
        }
      }, {
        key: "getItemType",
        value: function getItemType() {
          return this.store.getState().dragOperation.itemType;
        }
      }, {
        key: "getItem",
        value: function getItem() {
          return this.store.getState().dragOperation.item;
        }
      }, {
        key: "getSourceId",
        value: function getSourceId() {
          return this.store.getState().dragOperation.sourceId;
        }
      }, {
        key: "getTargetIds",
        value: function getTargetIds() {
          return this.store.getState().dragOperation.targetIds;
        }
      }, {
        key: "getDropResult",
        value: function getDropResult() {
          return this.store.getState().dragOperation.dropResult;
        }
      }, {
        key: "didDrop",
        value: function didDrop() {
          return this.store.getState().dragOperation.didDrop;
        }
      }, {
        key: "isSourcePublic",
        value: function isSourcePublic() {
          return Boolean(this.store.getState().dragOperation.isSourcePublic);
        }
      }, {
        key: "getInitialClientOffset",
        value: function getInitialClientOffset() {
          return this.store.getState().dragOffset.initialClientOffset;
        }
      }, {
        key: "getInitialSourceClientOffset",
        value: function getInitialSourceClientOffset() {
          return this.store.getState().dragOffset.initialSourceClientOffset;
        }
      }, {
        key: "getClientOffset",
        value: function getClientOffset() {
          return this.store.getState().dragOffset.clientOffset;
        }
      }, {
        key: "getSourceClientOffset",
        value: function getSourceClientOffset() {
          return _getSourceClientOffset(this.store.getState().dragOffset);
        }
      }, {
        key: "getDifferenceFromInitialOffset",
        value: function getDifferenceFromInitialOffset() {
          return _getDifferenceFromInitialOffset(this.store.getState().dragOffset);
        }
      }]);

      return DragDropMonitorImpl;
    }();
  }
});
//# sourceMappingURL=DragDropMonitorImpl.js.map